// kiwi.client._GestionTransports_EOArchive_English.java
// Generated by EOJavaClientPalette at 2009-02-27 14:37:34 +0000

package kiwi.client;

import java.awt.Font;
import java.awt.Insets;
import java.awt.Menu;

import javax.swing.JPanel;
import javax.swing.JTextField;

import com.webobjects.eoapplication.EOArchive;
import com.webobjects.eointerface.swing.EOFrame;
import com.webobjects.eointerface.swing.EOView;
import com.webobjects.eointerface.swing.EOViewLayout;
import com.webobjects.foundation.NSDisposableRegistry;

public class _GestionTransports_EOArchive_English extends com.webobjects.eoapplication.EOArchive {
    EOView _nsBox0, _nsBox1, _nsBox10, _nsBox11, _nsBox2, _nsBox3, _nsBox4, _nsBox5, _nsBox6, _nsBox7, _nsBox8, _nsBox9;
    Menu _popUpList;
    com.webobjects.eointerface.swing.EOFrame _panel;
    com.webobjects.eointerface.swing.EOTextField _nsTextField0, _nsTextField1, _nsTextField10, _nsTextField11, _nsTextField12, _nsTextField13, _nsTextField14, _nsTextField15, _nsTextField16, _nsTextField17, _nsTextField18, _nsTextField19, _nsTextField2, _nsTextField20, _nsTextField21, _nsTextField22, _nsTextField23, _nsTextField24, _nsTextField25, _nsTextField26, _nsTextField27, _nsTextField28, _nsTextField29, _nsTextField3, _nsTextField30, _nsTextField31, _nsTextField32, _nsTextField4, _nsTextField5, _nsTextField6, _nsTextField7, _nsTextField8, _nsTextField9;
    javax.swing.JButton _nsButton0, _nsButton1, _nsButton2, _nsButton3, _nsButton4, _nsButton5, _nsButton6;
    javax.swing.JComboBox _popup0;
    javax.swing.JPanel _nsView0;

    public _GestionTransports_EOArchive_English(Object owner, NSDisposableRegistry registry) {
        super(owner, registry);
    }

    protected void _construct() {
        Object owner = _owner();
        EOArchive._ObjectInstantiationDelegate delegate = (owner instanceof EOArchive._ObjectInstantiationDelegate) ? (EOArchive._ObjectInstantiationDelegate)owner : null;
        Object replacement;

        super._construct();

        _popUpList = (Menu)_registered(new Menu(), "PopUpList");

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "btnModifier")) != null)) {
            _nsButton6 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (javax.swing.JButton)replacement;
            _replacedObjects.setObjectForKey(replacement, "_nsButton6");
        } else {
            _nsButton6 = (javax.swing.JButton)_registered(new javax.swing.JButton("M"), null);
        }

        _nsTextField32 = (com.webobjects.eointerface.swing.EOTextField)_registered(new com.webobjects.eointerface.swing.EOTextField(), null);

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "taux")) != null)) {
            _nsTextField31 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (com.webobjects.eointerface.swing.EOTextField)replacement;
            _replacedObjects.setObjectForKey(replacement, "_nsTextField31");
        } else {
            _nsTextField31 = (com.webobjects.eointerface.swing.EOTextField)_registered(new com.webobjects.eointerface.swing.EOTextField(), null);
        }

        _nsTextField30 = (com.webobjects.eointerface.swing.EOTextField)_registered(new com.webobjects.eointerface.swing.EOTextField(), null);

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "monnaie")) != null)) {
            _nsTextField29 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (com.webobjects.eointerface.swing.EOTextField)replacement;
            _replacedObjects.setObjectForKey(replacement, "_nsTextField29");
        } else {
            _nsTextField29 = (com.webobjects.eointerface.swing.EOTextField)_registered(new com.webobjects.eointerface.swing.EOTextField(), null);
        }

        _nsTextField28 = (com.webobjects.eointerface.swing.EOTextField)_registered(new com.webobjects.eointerface.swing.EOTextField(), null);
        _nsTextField27 = (com.webobjects.eointerface.swing.EOTextField)_registered(new com.webobjects.eointerface.swing.EOTextField(), null);
        _nsTextField26 = (com.webobjects.eointerface.swing.EOTextField)_registered(new com.webobjects.eointerface.swing.EOTextField(), null);
        _nsBox11 = (EOView)_registered(new EOView(), null);

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "viewDetail")) != null)) {
            _nsBox10 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (EOView)replacement;
            _replacedObjects.setObjectForKey(replacement, "_nsBox10");
        } else {
            _nsBox10 = (EOView)_registered(new EOView(), null);
        }

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "btnAnnuler")) != null)) {
            _nsButton5 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (javax.swing.JButton)replacement;
            _replacedObjects.setObjectForKey(replacement, "_nsButton5");
        } else {
            _nsButton5 = (javax.swing.JButton)_registered(new javax.swing.JButton("A"), null);
        }

        _nsBox9 = (EOView)_registered(new EOView(), null);

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "viewTable")) != null)) {
            _nsBox8 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (EOView)replacement;
            _replacedObjects.setObjectForKey(replacement, "_nsBox8");
        } else {
            _nsBox8 = (EOView)_registered(new EOView(), null);
        }

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "montantFrais")) != null)) {
            _nsTextField25 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (com.webobjects.eointerface.swing.EOTextField)replacement;
            _replacedObjects.setObjectForKey(replacement, "_nsTextField25");
        } else {
            _nsTextField25 = (com.webobjects.eointerface.swing.EOTextField)_registered(new com.webobjects.eointerface.swing.EOTextField(), null);
        }

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "btnSupprimer")) != null)) {
            _nsButton4 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (javax.swing.JButton)replacement;
            _replacedObjects.setObjectForKey(replacement, "_nsButton4");
        } else {
            _nsButton4 = (javax.swing.JButton)_registered(new javax.swing.JButton("-"), null);
        }

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "btnValider")) != null)) {
            _nsButton3 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (javax.swing.JButton)replacement;
            _replacedObjects.setObjectForKey(replacement, "_nsButton3");
        } else {
            _nsButton3 = (javax.swing.JButton)_registered(new javax.swing.JButton("v"), null);
        }

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "libelleMotif")) != null)) {
            _nsTextField24 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (com.webobjects.eointerface.swing.EOTextField)replacement;
            _replacedObjects.setObjectForKey(replacement, "_nsTextField24");
        } else {
            _nsTextField24 = (com.webobjects.eointerface.swing.EOTextField)_registered(new com.webobjects.eointerface.swing.EOTextField(), null);
        }

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "btnGetTrajet")) != null)) {
            _nsButton2 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (javax.swing.JButton)replacement;
            _replacedObjects.setObjectForKey(replacement, "_nsButton2");
        } else {
            _nsButton2 = (javax.swing.JButton)_registered(new javax.swing.JButton("-"), null);
        }

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "btnModifierVehicule")) != null)) {
            _nsButton1 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (javax.swing.JButton)replacement;
            _replacedObjects.setObjectForKey(replacement, "_nsButton1");
        } else {
            _nsButton1 = (javax.swing.JButton)_registered(new javax.swing.JButton("-"), null);
        }

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "puissance")) != null)) {
            _nsTextField23 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (com.webobjects.eointerface.swing.EOTextField)replacement;
            _replacedObjects.setObjectForKey(replacement, "_nsTextField23");
        } else {
            _nsTextField23 = (com.webobjects.eointerface.swing.EOTextField)_registered(new com.webobjects.eointerface.swing.EOTextField(), null);
        }

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "cumulKms")) != null)) {
            _nsTextField22 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (com.webobjects.eointerface.swing.EOTextField)replacement;
            _replacedObjects.setObjectForKey(replacement, "_nsTextField22");
        } else {
            _nsTextField22 = (com.webobjects.eointerface.swing.EOTextField)_registered(new com.webobjects.eointerface.swing.EOTextField(), null);
        }

        _nsTextField21 = (com.webobjects.eointerface.swing.EOTextField)_registered(new com.webobjects.eointerface.swing.EOTextField(), null);

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "classeSncf")) != null)) {
            _popup0 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (javax.swing.JComboBox)replacement;
            _replacedObjects.setObjectForKey(replacement, "_popup0");
        } else {
            _popup0 = (javax.swing.JComboBox)_registered(new javax.swing.JComboBox(), null);
        }

        _nsBox7 = (EOView)_registered(new EOView(), null);

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "viewClasseSncf")) != null)) {
            _nsBox6 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (EOView)replacement;
            _replacedObjects.setObjectForKey(replacement, "_nsBox6");
        } else {
            _nsBox6 = (EOView)_registered(new EOView(), null);
        }

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "datesIndemnite")) != null)) {
            _nsTextField20 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (com.webobjects.eointerface.swing.EOTextField)replacement;
            _replacedObjects.setObjectForKey(replacement, "_nsTextField20");
        } else {
            _nsTextField20 = (com.webobjects.eointerface.swing.EOTextField)_registered(new com.webobjects.eointerface.swing.EOTextField(), null);
        }

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "indemn3")) != null)) {
            _nsTextField19 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (com.webobjects.eointerface.swing.EOTextField)replacement;
            _replacedObjects.setObjectForKey(replacement, "_nsTextField19");
        } else {
            _nsTextField19 = (com.webobjects.eointerface.swing.EOTextField)_registered(new com.webobjects.eointerface.swing.EOTextField(), null);
        }

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "indemn2")) != null)) {
            _nsTextField18 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (com.webobjects.eointerface.swing.EOTextField)replacement;
            _replacedObjects.setObjectForKey(replacement, "_nsTextField18");
        } else {
            _nsTextField18 = (com.webobjects.eointerface.swing.EOTextField)_registered(new com.webobjects.eointerface.swing.EOTextField(), null);
        }

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "indemn1")) != null)) {
            _nsTextField17 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (com.webobjects.eointerface.swing.EOTextField)replacement;
            _replacedObjects.setObjectForKey(replacement, "_nsTextField17");
        } else {
            _nsTextField17 = (com.webobjects.eointerface.swing.EOTextField)_registered(new com.webobjects.eointerface.swing.EOTextField(), null);
        }

        _nsTextField16 = (com.webobjects.eointerface.swing.EOTextField)_registered(new com.webobjects.eointerface.swing.EOTextField(), "2");
        _nsTextField15 = (com.webobjects.eointerface.swing.EOTextField)_registered(new com.webobjects.eointerface.swing.EOTextField(), "1");
        _nsTextField14 = (com.webobjects.eointerface.swing.EOTextField)_registered(new com.webobjects.eointerface.swing.EOTextField(), "");

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "segmentKm3")) != null)) {
            _nsTextField13 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (com.webobjects.eointerface.swing.EOTextField)replacement;
            _replacedObjects.setObjectForKey(replacement, "_nsTextField13");
        } else {
            _nsTextField13 = (com.webobjects.eointerface.swing.EOTextField)_registered(new com.webobjects.eointerface.swing.EOTextField(), null);
        }

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "segmentKm2")) != null)) {
            _nsTextField12 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (com.webobjects.eointerface.swing.EOTextField)replacement;
            _replacedObjects.setObjectForKey(replacement, "_nsTextField12");
        } else {
            _nsTextField12 = (com.webobjects.eointerface.swing.EOTextField)_registered(new com.webobjects.eointerface.swing.EOTextField(), null);
        }

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "segmentKm1")) != null)) {
            _nsTextField11 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (com.webobjects.eointerface.swing.EOTextField)replacement;
            _replacedObjects.setObjectForKey(replacement, "_nsTextField11");
        } else {
            _nsTextField11 = (com.webobjects.eointerface.swing.EOTextField)_registered(new com.webobjects.eointerface.swing.EOTextField(), null);
        }

        _nsTextField10 = (com.webobjects.eointerface.swing.EOTextField)_registered(new com.webobjects.eointerface.swing.EOTextField(), null);
        _nsBox5 = (EOView)_registered(new EOView(), null);

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "viewIndemnites")) != null)) {
            _nsBox4 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (EOView)replacement;
            _replacedObjects.setObjectForKey(replacement, "_nsBox4");
        } else {
            _nsBox4 = (EOView)_registered(new EOView(), null);
        }

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "labelKms")) != null)) {
            _nsTextField9 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (com.webobjects.eointerface.swing.EOTextField)replacement;
            _replacedObjects.setObjectForKey(replacement, "_nsTextField9");
        } else {
            _nsTextField9 = (com.webobjects.eointerface.swing.EOTextField)_registered(new com.webobjects.eointerface.swing.EOTextField(), null);
        }

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "saisieKms")) != null)) {
            _nsTextField8 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (com.webobjects.eointerface.swing.EOTextField)replacement;
            _replacedObjects.setObjectForKey(replacement, "_nsTextField8");
        } else {
            _nsTextField8 = (com.webobjects.eointerface.swing.EOTextField)_registered(new com.webobjects.eointerface.swing.EOTextField(), null);
        }

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "immatriculation")) != null)) {
            _nsTextField7 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (com.webobjects.eointerface.swing.EOTextField)replacement;
            _replacedObjects.setObjectForKey(replacement, "_nsTextField7");
        } else {
            _nsTextField7 = (com.webobjects.eointerface.swing.EOTextField)_registered(new com.webobjects.eointerface.swing.EOTextField(), null);
        }

        _nsTextField6 = (com.webobjects.eointerface.swing.EOTextField)_registered(new com.webobjects.eointerface.swing.EOTextField(), null);

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "marque")) != null)) {
            _nsTextField5 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (com.webobjects.eointerface.swing.EOTextField)replacement;
            _replacedObjects.setObjectForKey(replacement, "_nsTextField5");
        } else {
            _nsTextField5 = (com.webobjects.eointerface.swing.EOTextField)_registered(new com.webobjects.eointerface.swing.EOTextField(), null);
        }

        _nsTextField4 = (com.webobjects.eointerface.swing.EOTextField)_registered(new com.webobjects.eointerface.swing.EOTextField(), null);

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "arrivee")) != null)) {
            _nsTextField3 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (com.webobjects.eointerface.swing.EOTextField)replacement;
            _replacedObjects.setObjectForKey(replacement, "_nsTextField3");
        } else {
            _nsTextField3 = (com.webobjects.eointerface.swing.EOTextField)_registered(new com.webobjects.eointerface.swing.EOTextField(), null);
        }

        _nsTextField2 = (com.webobjects.eointerface.swing.EOTextField)_registered(new com.webobjects.eointerface.swing.EOTextField(), null);

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "depart")) != null)) {
            _nsTextField1 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (com.webobjects.eointerface.swing.EOTextField)replacement;
            _replacedObjects.setObjectForKey(replacement, "_nsTextField1");
        } else {
            _nsTextField1 = (com.webobjects.eointerface.swing.EOTextField)_registered(new com.webobjects.eointerface.swing.EOTextField(), null);
        }

        _nsBox3 = (EOView)_registered(new EOView(), null);

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "vueKms")) != null)) {
            _nsBox2 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (EOView)replacement;
            _replacedObjects.setObjectForKey(replacement, "_nsBox2");
        } else {
            _nsBox2 = (EOView)_registered(new EOView(), null);
        }

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "montantKms")) != null)) {
            _nsTextField0 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (com.webobjects.eointerface.swing.EOTextField)replacement;
            _replacedObjects.setObjectForKey(replacement, "_nsTextField0");
        } else {
            _nsTextField0 = (com.webobjects.eointerface.swing.EOTextField)_registered(new com.webobjects.eointerface.swing.EOTextField(), null);
        }

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "btnAjouter")) != null)) {
            _nsButton0 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (javax.swing.JButton)replacement;
            _replacedObjects.setObjectForKey(replacement, "_nsButton0");
        } else {
            _nsButton0 = (javax.swing.JButton)_registered(new javax.swing.JButton("+"), null);
        }

        _nsBox1 = (EOView)_registered(new EOView(), null);

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "view")) != null)) {
            _nsBox0 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (EOView)replacement;
            _replacedObjects.setObjectForKey(replacement, "_nsBox0");
        } else {
            _nsBox0 = (EOView)_registered(new EOView(), null);
        }

        _panel = (EOFrame)_registered(new EOFrame(), "Panel");
        _nsView0 = (JPanel)_panel.getContentPane();
    }

    protected void _awaken() {
        super._awaken();
        _nsButton6.addActionListener((com.webobjects.eointerface.swing.EOControlActionAdapter)_registered(new com.webobjects.eointerface.swing.EOControlActionAdapter(_owner(), "modifier", _nsButton6), "null"));

        if (_replacedObjects.objectForKey("_nsButton6") == null) {
            _connect(_owner(), _nsButton6, "btnModifier");
        }

        if (_replacedObjects.objectForKey("_nsTextField31") == null) {
            _connect(_owner(), _nsTextField31, "taux");
        }

        if (_replacedObjects.objectForKey("_nsTextField29") == null) {
            _connect(_owner(), _nsTextField29, "monnaie");
        }

        if (_replacedObjects.objectForKey("_nsBox10") == null) {
            _connect(_owner(), _nsBox10, "viewDetail");
        }

        if (_replacedObjects.objectForKey("_nsBox0") == null) {
            _connect(_owner(), _nsBox0, "view");
        }

        _nsButton5.addActionListener((com.webobjects.eointerface.swing.EOControlActionAdapter)_registered(new com.webobjects.eointerface.swing.EOControlActionAdapter(_owner(), "annuler", _nsButton5), "null"));

        if (_replacedObjects.objectForKey("_nsButton5") == null) {
            _connect(_owner(), _nsButton5, "btnAnnuler");
        }

        if (_replacedObjects.objectForKey("_nsBox8") == null) {
            _connect(_owner(), _nsBox8, "viewTable");
        }

        if (_replacedObjects.objectForKey("_nsTextField25") == null) {
            _connect(_owner(), _nsTextField25, "montantFrais");
        }

        _nsButton4.addActionListener((com.webobjects.eointerface.swing.EOControlActionAdapter)_registered(new com.webobjects.eointerface.swing.EOControlActionAdapter(_owner(), "supprimer", _nsButton4), "null"));

        if (_replacedObjects.objectForKey("_nsButton4") == null) {
            _connect(_owner(), _nsButton4, "btnSupprimer");
        }

        if (_replacedObjects.objectForKey("_nsButton0") == null) {
            _connect(_owner(), _nsButton0, "btnAjouter");
        }

        _nsButton3.addActionListener((com.webobjects.eointerface.swing.EOControlActionAdapter)_registered(new com.webobjects.eointerface.swing.EOControlActionAdapter(_owner(), "valider", _nsButton3), "null"));

        if (_replacedObjects.objectForKey("_nsButton3") == null) {
            _connect(_owner(), _nsButton3, "btnValider");
        }

        if (_replacedObjects.objectForKey("_nsTextField24") == null) {
            _connect(_owner(), _nsTextField24, "libelleMotif");
        }

        if (_replacedObjects.objectForKey("_nsButton2") == null) {
            _connect(_owner(), _nsButton2, "btnGetTrajet");
        }

        _nsButton2.addActionListener((com.webobjects.eointerface.swing.EOControlActionAdapter)_registered(new com.webobjects.eointerface.swing.EOControlActionAdapter(_owner(), "getTrajet", _nsButton2), "null"));

        if (_replacedObjects.objectForKey("_nsButton1") == null) {
            _connect(_owner(), _nsButton1, "btnModifierVehicule");
        }

        _nsButton1.addActionListener((com.webobjects.eointerface.swing.EOControlActionAdapter)_registered(new com.webobjects.eointerface.swing.EOControlActionAdapter(_owner(), "modifierVehicule", _nsButton1), "null"));

        if (_replacedObjects.objectForKey("_nsTextField23") == null) {
            _connect(_owner(), _nsTextField23, "puissance");
        }

        if (_replacedObjects.objectForKey("_nsTextField22") == null) {
            _connect(_owner(), _nsTextField22, "cumulKms");
        }

        if (_replacedObjects.objectForKey("_nsBox6") == null) {
            _connect(_owner(), _nsBox6, "viewClasseSncf");
        }

        if (_replacedObjects.objectForKey("_popup0") == null) {
            _connect(_owner(), _popup0, "classeSncf");
        }

        if (_replacedObjects.objectForKey("_popup0") == null) {
            _popup0.setModel(new javax.swing.DefaultComboBoxModel());
            _popup0.addItem("Classe 1 (1-16)");
            _popup0.addItem("Classe 2 (1-16)");
        }

        if (_replacedObjects.objectForKey("_nsBox4") == null) {
            _connect(_owner(), _nsBox4, "viewIndemnites");
        }

        if (_replacedObjects.objectForKey("_nsTextField20") == null) {
            _connect(_owner(), _nsTextField20, "datesIndemnite");
        }

        if (_replacedObjects.objectForKey("_nsTextField19") == null) {
            _connect(_owner(), _nsTextField19, "indemn3");
        }

        if (_replacedObjects.objectForKey("_nsTextField18") == null) {
            _connect(_owner(), _nsTextField18, "indemn2");
        }

        if (_replacedObjects.objectForKey("_nsTextField17") == null) {
            _connect(_owner(), _nsTextField17, "indemn1");
        }

        if (_replacedObjects.objectForKey("_nsTextField13") == null) {
            _connect(_owner(), _nsTextField13, "segmentKm3");
        }

        if (_replacedObjects.objectForKey("_nsTextField12") == null) {
            _connect(_owner(), _nsTextField12, "segmentKm2");
        }

        if (_replacedObjects.objectForKey("_nsTextField11") == null) {
            _connect(_owner(), _nsTextField11, "segmentKm1");
        }

        if (_replacedObjects.objectForKey("_nsTextField9") == null) {
            _connect(_owner(), _nsTextField9, "labelKms");
        }

        if (_replacedObjects.objectForKey("_nsTextField8") == null) {
            _connect(_owner(), _nsTextField8, "saisieKms");
        }

        if (_replacedObjects.objectForKey("_nsTextField7") == null) {
            _connect(_owner(), _nsTextField7, "immatriculation");
        }

        if (_replacedObjects.objectForKey("_nsTextField5") == null) {
            _connect(_owner(), _nsTextField5, "marque");
        }

        if (_replacedObjects.objectForKey("_nsTextField3") == null) {
            _connect(_owner(), _nsTextField3, "arrivee");
        }

        if (_replacedObjects.objectForKey("_nsTextField1") == null) {
            _connect(_owner(), _nsTextField1, "depart");
        }

        if (_replacedObjects.objectForKey("_nsBox2") == null) {
            _connect(_owner(), _nsBox2, "vueKms");
        }

        if (_replacedObjects.objectForKey("_nsTextField0") == null) {
            _connect(_owner(), _nsTextField0, "montantKms");
        }

        _nsButton0.addActionListener((com.webobjects.eointerface.swing.EOControlActionAdapter)_registered(new com.webobjects.eointerface.swing.EOControlActionAdapter(_owner(), "ajouter", _nsButton0), "null"));
    }

    protected void _init() {
        super._init();

        if (_replacedObjects.objectForKey("_nsButton6") == null) {
            _setFontForComponent(_nsButton6, "Helvetica", 12, Font.PLAIN);
            _nsButton6.setMargin(new Insets(0, 2, 0, 2));
        }

        _setFontForComponent(_nsTextField32, "Helvetica", 12, Font.PLAIN);
        _nsTextField32.setEditable(false);
        _nsTextField32.setOpaque(false);
        _nsTextField32.setText("Taux :");
        _nsTextField32.setHorizontalAlignment(JTextField.RIGHT);
        _nsTextField32.setSelectable(false);
        _nsTextField32.setEnabled(true);
        _nsTextField32.setBorder(null);

        if (_replacedObjects.objectForKey("_nsTextField31") == null) {
            _setFontForComponent(_nsTextField31, "Helvetica", 12, Font.PLAIN);
            _nsTextField31.setEditable(true);
            _nsTextField31.setOpaque(true);
            _nsTextField31.setText("");
            _nsTextField31.setHorizontalAlignment(JTextField.LEFT);
            _nsTextField31.setSelectable(true);
            _nsTextField31.setEnabled(true);
        }

        _setFontForComponent(_nsTextField30, "Helvetica", 12, Font.PLAIN);
        _nsTextField30.setEditable(false);
        _nsTextField30.setOpaque(false);
        _nsTextField30.setText("Monnaie :");
        _nsTextField30.setHorizontalAlignment(JTextField.RIGHT);
        _nsTextField30.setSelectable(false);
        _nsTextField30.setEnabled(true);
        _nsTextField30.setBorder(null);

        if (_replacedObjects.objectForKey("_nsTextField29") == null) {
            _setFontForComponent(_nsTextField29, "Helvetica", 12, Font.PLAIN);
            _nsTextField29.setEditable(true);
            _nsTextField29.setOpaque(true);
            _nsTextField29.setText("");
            _nsTextField29.setHorizontalAlignment(JTextField.LEFT);
            _nsTextField29.setSelectable(true);
            _nsTextField29.setEnabled(true);
        }

        _setFontForComponent(_nsTextField28, "Helvetica", 12, Font.PLAIN);
        _nsTextField28.setEditable(false);
        _nsTextField28.setOpaque(false);
        _nsTextField28.setText("Montant Kms :");
        _nsTextField28.setHorizontalAlignment(JTextField.RIGHT);
        _nsTextField28.setSelectable(false);
        _nsTextField28.setEnabled(true);
        _nsTextField28.setBorder(null);
        _setFontForComponent(_nsTextField27, "Helvetica", 12, Font.PLAIN);
        _nsTextField27.setEditable(false);
        _nsTextField27.setOpaque(false);
        _nsTextField27.setText("Montant Frais :");
        _nsTextField27.setHorizontalAlignment(JTextField.RIGHT);
        _nsTextField27.setSelectable(false);
        _nsTextField27.setEnabled(true);
        _nsTextField27.setBorder(null);
        _setFontForComponent(_nsTextField26, "Helvetica", 12, Font.PLAIN);
        _nsTextField26.setEditable(false);
        _nsTextField26.setOpaque(false);
        _nsTextField26.setText("Remarques :");
        _nsTextField26.setHorizontalAlignment(JTextField.RIGHT);
        _nsTextField26.setSelectable(false);
        _nsTextField26.setEnabled(true);
        _nsTextField26.setBorder(null);
        if ((_nsBox11.getLayout() instanceof EOViewLayout) == false) _nsBox11.setLayout(new EOViewLayout());
        _nsTextField24.setSize(233, 21);
        _nsTextField24.setLocation(549, 113);
        ((EOViewLayout)_nsBox11.getLayout()).setAutosizingMask(_nsTextField24, EOViewLayout.MinYMargin);
        _nsBox11.add(_nsTextField24);
        _nsTextField26.setSize(72, 15);
        _nsTextField26.setLocation(475, 116);
        ((EOViewLayout)_nsBox11.getLayout()).setAutosizingMask(_nsTextField26, EOViewLayout.MinYMargin);
        _nsBox11.add(_nsTextField26);
        _nsTextField25.setSize(92, 21);
        _nsTextField25.setLocation(550, 11);
        ((EOViewLayout)_nsBox11.getLayout()).setAutosizingMask(_nsTextField25, EOViewLayout.MinYMargin);
        _nsBox11.add(_nsTextField25);
        _nsTextField27.setSize(86, 15);
        _nsTextField27.setLocation(463, 12);
        ((EOViewLayout)_nsBox11.getLayout()).setAutosizingMask(_nsTextField27, EOViewLayout.MinYMargin);
        _nsBox11.add(_nsTextField27);
        _nsBox2.setSize(458, 129);
        _nsBox2.setLocation(2, 6);
        ((EOViewLayout)_nsBox11.getLayout()).setAutosizingMask(_nsBox2, EOViewLayout.MinYMargin);
        _nsBox11.add(_nsBox2);
        _nsTextField0.setSize(92, 21);
        _nsTextField0.setLocation(550, 36);
        ((EOViewLayout)_nsBox11.getLayout()).setAutosizingMask(_nsTextField0, EOViewLayout.MinYMargin);
        _nsBox11.add(_nsTextField0);
        _nsTextField28.setSize(81, 15);
        _nsTextField28.setLocation(468, 37);
        ((EOViewLayout)_nsBox11.getLayout()).setAutosizingMask(_nsTextField28, EOViewLayout.MinYMargin);
        _nsBox11.add(_nsTextField28);
        _nsTextField29.setSize(233, 21);
        _nsTextField29.setLocation(549, 62);
        ((EOViewLayout)_nsBox11.getLayout()).setAutosizingMask(_nsTextField29, EOViewLayout.MinYMargin);
        _nsBox11.add(_nsTextField29);
        _nsTextField30.setSize(72, 15);
        _nsTextField30.setLocation(475, 65);
        ((EOViewLayout)_nsBox11.getLayout()).setAutosizingMask(_nsTextField30, EOViewLayout.MinYMargin);
        _nsBox11.add(_nsTextField30);
        _nsTextField31.setSize(106, 21);
        _nsTextField31.setLocation(549, 87);
        ((EOViewLayout)_nsBox11.getLayout()).setAutosizingMask(_nsTextField31, EOViewLayout.MinYMargin);
        _nsBox11.add(_nsTextField31);
        _nsTextField32.setSize(72, 15);
        _nsTextField32.setLocation(475, 90);
        ((EOViewLayout)_nsBox11.getLayout()).setAutosizingMask(_nsTextField32, EOViewLayout.MinYMargin);
        _nsBox11.add(_nsTextField32);

        if (_replacedObjects.objectForKey("_nsBox10") == null) {
            if ((_nsBox10.getLayout() instanceof EOViewLayout) == false) _nsBox10.setLayout(new EOViewLayout());
            _nsBox11.setSize(788, 140);
            _nsBox11.setLocation(1, 1);
            ((EOViewLayout)_nsBox10.getLayout()).setAutosizingMask(_nsBox11, EOViewLayout.MinYMargin);
            _nsBox10.add(_nsBox11);
            _nsBox10.setBorder(new com.webobjects.eointerface.swing._EODefaultBorder("Title", true, "Helvetica", 12, Font.PLAIN));
        }

        if (_replacedObjects.objectForKey("_nsButton5") == null) {
            _setFontForComponent(_nsButton5, "Helvetica", 12, Font.PLAIN);
            _nsButton5.setMargin(new Insets(0, 2, 0, 2));
        }

        if (_replacedObjects.objectForKey("_nsBox8") == null) {
            if ((_nsBox8.getLayout() instanceof EOViewLayout) == false) _nsBox8.setLayout(new EOViewLayout());
            _nsBox9.setSize(660, 83);
            _nsBox9.setLocation(1, 1);
            ((EOViewLayout)_nsBox8.getLayout()).setAutosizingMask(_nsBox9, EOViewLayout.MinYMargin);
            _nsBox8.add(_nsBox9);
            _nsBox8.setBorder(new com.webobjects.eointerface.swing._EODefaultBorder("Box", true, "Helvetica", 12, Font.PLAIN));
        }

        if (_replacedObjects.objectForKey("_nsTextField25") == null) {
            _setFontForComponent(_nsTextField25, "Helvetica", 12, Font.PLAIN);
            _nsTextField25.setEditable(true);
            _nsTextField25.setOpaque(true);
            _nsTextField25.setText("");
            _nsTextField25.setHorizontalAlignment(JTextField.RIGHT);
            _nsTextField25.setSelectable(true);
            _nsTextField25.setEnabled(true);
        }

        if (_replacedObjects.objectForKey("_nsButton4") == null) {
            _setFontForComponent(_nsButton4, "Helvetica", 12, Font.PLAIN);
            _nsButton4.setMargin(new Insets(0, 2, 0, 2));
        }

        if (_replacedObjects.objectForKey("_nsButton3") == null) {
            _setFontForComponent(_nsButton3, "Helvetica", 12, Font.PLAIN);
            _nsButton3.setMargin(new Insets(0, 2, 0, 2));
        }

        if (_replacedObjects.objectForKey("_nsTextField24") == null) {
            _setFontForComponent(_nsTextField24, "Helvetica", 12, Font.PLAIN);
            _nsTextField24.setEditable(true);
            _nsTextField24.setOpaque(true);
            _nsTextField24.setText("");
            _nsTextField24.setHorizontalAlignment(JTextField.LEFT);
            _nsTextField24.setSelectable(true);
            _nsTextField24.setEnabled(true);
        }

        if (_replacedObjects.objectForKey("_nsButton2") == null) {
            _setFontForComponent(_nsButton2, "Helvetica", 12, Font.PLAIN);
            _nsButton2.setMargin(new Insets(0, 2, 0, 2));
        }

        if (_replacedObjects.objectForKey("_nsButton1") == null) {
            _setFontForComponent(_nsButton1, "Helvetica", 12, Font.PLAIN);
            _nsButton1.setMargin(new Insets(0, 2, 0, 2));
        }

        if (_replacedObjects.objectForKey("_nsTextField23") == null) {
            _setFontForComponent(_nsTextField23, "Helvetica", 10, Font.PLAIN);
            _nsTextField23.setEditable(true);
            _nsTextField23.setOpaque(true);
            _nsTextField23.setText("");
            _nsTextField23.setHorizontalAlignment(JTextField.CENTER);
            _nsTextField23.setSelectable(true);
            _nsTextField23.setEnabled(true);
        }

        if (_replacedObjects.objectForKey("_nsTextField22") == null) {
            _setFontForComponent(_nsTextField22, "Helvetica", 12, Font.PLAIN);
            _nsTextField22.setEditable(true);
            _nsTextField22.setOpaque(true);
            _nsTextField22.setText("");
            _nsTextField22.setHorizontalAlignment(JTextField.CENTER);
            _nsTextField22.setSelectable(true);
            _nsTextField22.setEnabled(true);
        }

        _setFontForComponent(_nsTextField21, "Helvetica", 12, Font.PLAIN);
        _nsTextField21.setEditable(false);
        _nsTextField21.setOpaque(false);
        _nsTextField21.setText("Cumul Kms :");
        _nsTextField21.setHorizontalAlignment(JTextField.RIGHT);
        _nsTextField21.setSelectable(false);
        _nsTextField21.setEnabled(true);
        _nsTextField21.setBorder(null);

        if (_replacedObjects.objectForKey("_popup0") == null) {
            _setFontForComponent(_popup0, "Helvetica", 12, Font.PLAIN);
        }

        if ((_nsBox7.getLayout() instanceof EOViewLayout) == false) _nsBox7.setLayout(new EOViewLayout());
        _popup0.setSize(230, 20);
        _popup0.setLocation(9, 5);
        ((EOViewLayout)_nsBox7.getLayout()).setAutosizingMask(_popup0, EOViewLayout.MinYMargin);
        _nsBox7.add(_popup0);

        if (_replacedObjects.objectForKey("_nsBox6") == null) {
            if ((_nsBox6.getLayout() instanceof EOViewLayout) == false) _nsBox6.setLayout(new EOViewLayout());
            _nsBox7.setSize(241, 29);
            _nsBox7.setLocation(2, 2);
            ((EOViewLayout)_nsBox6.getLayout()).setAutosizingMask(_nsBox7, EOViewLayout.MinYMargin);
            _nsBox6.add(_nsBox7);
            _nsBox6.setBorder(new com.webobjects.eointerface.swing._EODefaultBorder("Title", true, "Helvetica", 12, Font.PLAIN));
        }

        if (_replacedObjects.objectForKey("_nsTextField20") == null) {
            _setFontForComponent(_nsTextField20, "Helvetica", 10, Font.PLAIN);
            _nsTextField20.setEditable(false);
            _nsTextField20.setOpaque(false);
            _nsTextField20.setText("(Du  01/05/2005 au 01/01/3000)");
            _nsTextField20.setHorizontalAlignment(JTextField.RIGHT);
            _nsTextField20.setSelectable(false);
            _nsTextField20.setEnabled(true);
            _nsTextField20.setBorder(null);
        }

        if (_replacedObjects.objectForKey("_nsTextField19") == null) {
            _setFontForComponent(_nsTextField19, "Helvetica", 10, Font.PLAIN);
            _nsTextField19.setEditable(true);
            _nsTextField19.setOpaque(true);
            _nsTextField19.setText("");
            _nsTextField19.setHorizontalAlignment(JTextField.CENTER);
            _nsTextField19.setSelectable(true);
            _nsTextField19.setEnabled(true);
        }

        if (_replacedObjects.objectForKey("_nsTextField18") == null) {
            _setFontForComponent(_nsTextField18, "Helvetica", 10, Font.PLAIN);
            _nsTextField18.setEditable(true);
            _nsTextField18.setOpaque(true);
            _nsTextField18.setText("");
            _nsTextField18.setHorizontalAlignment(JTextField.CENTER);
            _nsTextField18.setSelectable(true);
            _nsTextField18.setEnabled(true);
        }

        if (_replacedObjects.objectForKey("_nsTextField17") == null) {
            _setFontForComponent(_nsTextField17, "Helvetica", 10, Font.PLAIN);
            _nsTextField17.setEditable(true);
            _nsTextField17.setOpaque(true);
            _nsTextField17.setText("");
            _nsTextField17.setHorizontalAlignment(JTextField.CENTER);
            _nsTextField17.setSelectable(true);
            _nsTextField17.setEnabled(true);
        }

        _setFontForComponent(_nsTextField16, "Helvetica", 10, Font.PLAIN);
        _nsTextField16.setEditable(false);
        _nsTextField16.setOpaque(false);
        _nsTextField16.setText(">10000");
        _nsTextField16.setHorizontalAlignment(JTextField.CENTER);
        _nsTextField16.setSelectable(true);
        _nsTextField16.setEnabled(true);
        _nsTextField16.setBorder(null);
        _setFontForComponent(_nsTextField15, "Helvetica", 10, Font.PLAIN);
        _nsTextField15.setEditable(false);
        _nsTextField15.setOpaque(false);
        _nsTextField15.setText("2001- 10000");
        _nsTextField15.setHorizontalAlignment(JTextField.CENTER);
        _nsTextField15.setSelectable(true);
        _nsTextField15.setEnabled(true);
        _nsTextField15.setBorder(null);
        _setFontForComponent(_nsTextField14, "Helvetica", 10, Font.PLAIN);
        _nsTextField14.setEditable(false);
        _nsTextField14.setOpaque(false);
        _nsTextField14.setText("<2000");
        _nsTextField14.setHorizontalAlignment(JTextField.CENTER);
        _nsTextField14.setSelectable(true);
        _nsTextField14.setEnabled(true);
        _nsTextField14.setBorder(null);

        if (_replacedObjects.objectForKey("_nsTextField13") == null) {
            _setFontForComponent(_nsTextField13, "Helvetica", 12, Font.PLAIN);
            _nsTextField13.setEditable(true);
            _nsTextField13.setOpaque(true);
            _nsTextField13.setText("");
            _nsTextField13.setHorizontalAlignment(JTextField.CENTER);
            _nsTextField13.setSelectable(true);
            _nsTextField13.setEnabled(true);
        }

        if (_replacedObjects.objectForKey("_nsTextField12") == null) {
            _setFontForComponent(_nsTextField12, "Helvetica", 12, Font.PLAIN);
            _nsTextField12.setEditable(true);
            _nsTextField12.setOpaque(true);
            _nsTextField12.setText("");
            _nsTextField12.setHorizontalAlignment(JTextField.CENTER);
            _nsTextField12.setSelectable(true);
            _nsTextField12.setEnabled(true);
        }

        if (_replacedObjects.objectForKey("_nsTextField11") == null) {
            _setFontForComponent(_nsTextField11, "Helvetica", 12, Font.PLAIN);
            _nsTextField11.setEditable(true);
            _nsTextField11.setOpaque(true);
            _nsTextField11.setText("");
            _nsTextField11.setHorizontalAlignment(JTextField.CENTER);
            _nsTextField11.setSelectable(true);
            _nsTextField11.setEnabled(true);
        }

        _setFontForComponent(_nsTextField10, "Helvetica", 12, Font.PLAIN);
        _nsTextField10.setEditable(false);
        _nsTextField10.setOpaque(false);
        _nsTextField10.setText("==>");
        _nsTextField10.setHorizontalAlignment(JTextField.RIGHT);
        _nsTextField10.setSelectable(false);
        _nsTextField10.setEnabled(true);
        _nsTextField10.setBorder(null);
        if ((_nsBox5.getLayout() instanceof EOViewLayout) == false) _nsBox5.setLayout(new EOViewLayout());
        _nsTextField10.setSize(33, 15);
        _nsTextField10.setLocation(0, 15);
        ((EOViewLayout)_nsBox5.getLayout()).setAutosizingMask(_nsTextField10, EOViewLayout.MinYMargin);
        _nsBox5.add(_nsTextField10);
        _nsTextField11.setSize(65, 21);
        _nsTextField11.setLocation(35, 13);
        ((EOViewLayout)_nsBox5.getLayout()).setAutosizingMask(_nsTextField11, EOViewLayout.MinYMargin);
        _nsBox5.add(_nsTextField11);
        _nsTextField12.setSize(65, 21);
        _nsTextField12.setLocation(101, 13);
        ((EOViewLayout)_nsBox5.getLayout()).setAutosizingMask(_nsTextField12, EOViewLayout.MinYMargin);
        _nsBox5.add(_nsTextField12);
        _nsTextField13.setSize(65, 21);
        _nsTextField13.setLocation(167, 13);
        ((EOViewLayout)_nsBox5.getLayout()).setAutosizingMask(_nsTextField13, EOViewLayout.MinYMargin);
        _nsBox5.add(_nsTextField13);
        _nsTextField14.setSize(62, 13);
        _nsTextField14.setLocation(38, 0);
        ((EOViewLayout)_nsBox5.getLayout()).setAutosizingMask(_nsTextField14, EOViewLayout.MinYMargin);
        _nsBox5.add(_nsTextField14);
        _nsTextField15.setSize(68, 13);
        _nsTextField15.setLocation(101, 0);
        ((EOViewLayout)_nsBox5.getLayout()).setAutosizingMask(_nsTextField15, EOViewLayout.MinYMargin);
        _nsBox5.add(_nsTextField15);
        _nsTextField16.setSize(62, 13);
        _nsTextField16.setLocation(167, 0);
        ((EOViewLayout)_nsBox5.getLayout()).setAutosizingMask(_nsTextField16, EOViewLayout.MinYMargin);
        _nsBox5.add(_nsTextField16);
        _nsTextField17.setSize(65, 19);
        _nsTextField17.setLocation(35, 36);
        ((EOViewLayout)_nsBox5.getLayout()).setAutosizingMask(_nsTextField17, EOViewLayout.MinYMargin);
        _nsBox5.add(_nsTextField17);
        _nsTextField18.setSize(65, 19);
        _nsTextField18.setLocation(101, 36);
        ((EOViewLayout)_nsBox5.getLayout()).setAutosizingMask(_nsTextField18, EOViewLayout.MinYMargin);
        _nsBox5.add(_nsTextField18);
        _nsTextField19.setSize(65, 19);
        _nsTextField19.setLocation(167, 36);
        ((EOViewLayout)_nsBox5.getLayout()).setAutosizingMask(_nsTextField19, EOViewLayout.MinYMargin);
        _nsBox5.add(_nsTextField19);
        _nsTextField20.setSize(182, 15);
        _nsTextField20.setLocation(52, 55);
        ((EOViewLayout)_nsBox5.getLayout()).setAutosizingMask(_nsTextField20, EOViewLayout.MinYMargin);
        _nsBox5.add(_nsTextField20);

        if (_replacedObjects.objectForKey("_nsBox4") == null) {
            if ((_nsBox4.getLayout() instanceof EOViewLayout) == false) _nsBox4.setLayout(new EOViewLayout());
            _nsBox5.setSize(239, 70);
            _nsBox5.setLocation(1, 1);
            ((EOViewLayout)_nsBox4.getLayout()).setAutosizingMask(_nsBox5, EOViewLayout.MinYMargin);
            _nsBox4.add(_nsBox5);
            _nsBox4.setBorder(new com.webobjects.eointerface.swing._EODefaultBorder("Title", true, "Helvetica", 12, Font.PLAIN));
        }

        if (_replacedObjects.objectForKey("_nsTextField9") == null) {
            _setFontForComponent(_nsTextField9, "Helvetica", 12, Font.PLAIN);
            _nsTextField9.setEditable(false);
            _nsTextField9.setOpaque(false);
            _nsTextField9.setText("Kms SNCF :");
            _nsTextField9.setHorizontalAlignment(JTextField.RIGHT);
            _nsTextField9.setSelectable(false);
            _nsTextField9.setEnabled(true);
            _nsTextField9.setBorder(null);
        }

        if (_replacedObjects.objectForKey("_nsTextField8") == null) {
            _setFontForComponent(_nsTextField8, "Helvetica", 12, Font.PLAIN);
            _nsTextField8.setEditable(true);
            _nsTextField8.setOpaque(true);
            _nsTextField8.setText("");
            _nsTextField8.setHorizontalAlignment(JTextField.LEFT);
            _nsTextField8.setSelectable(true);
            _nsTextField8.setEnabled(true);
        }

        if (_replacedObjects.objectForKey("_nsTextField7") == null) {
            _setFontForComponent(_nsTextField7, "Helvetica", 10, Font.PLAIN);
            _nsTextField7.setEditable(true);
            _nsTextField7.setOpaque(true);
            _nsTextField7.setText("");
            _nsTextField7.setHorizontalAlignment(JTextField.CENTER);
            _nsTextField7.setSelectable(true);
            _nsTextField7.setEnabled(true);
        }

        _setFontForComponent(_nsTextField6, "Helvetica", 12, Font.PLAIN);
        _nsTextField6.setEditable(false);
        _nsTextField6.setOpaque(false);
        _nsTextField6.setText("V\u00e9hicule :");
        _nsTextField6.setHorizontalAlignment(JTextField.RIGHT);
        _nsTextField6.setSelectable(false);
        _nsTextField6.setEnabled(true);
        _nsTextField6.setBorder(null);

        if (_replacedObjects.objectForKey("_nsTextField5") == null) {
            _setFontForComponent(_nsTextField5, "Helvetica", 10, Font.PLAIN);
            _nsTextField5.setEditable(true);
            _nsTextField5.setOpaque(true);
            _nsTextField5.setText("");
            _nsTextField5.setHorizontalAlignment(JTextField.LEFT);
            _nsTextField5.setSelectable(true);
            _nsTextField5.setEnabled(true);
        }

        _setFontForComponent(_nsTextField4, "Helvetica", 12, Font.PLAIN);
        _nsTextField4.setEditable(false);
        _nsTextField4.setOpaque(false);
        _nsTextField4.setText("Arriv\u00e9e :");
        _nsTextField4.setHorizontalAlignment(JTextField.RIGHT);
        _nsTextField4.setSelectable(false);
        _nsTextField4.setEnabled(true);
        _nsTextField4.setBorder(null);

        if (_replacedObjects.objectForKey("_nsTextField3") == null) {
            _setFontForComponent(_nsTextField3, "Helvetica", 12, Font.PLAIN);
            _nsTextField3.setEditable(true);
            _nsTextField3.setOpaque(true);
            _nsTextField3.setText("");
            _nsTextField3.setHorizontalAlignment(JTextField.LEFT);
            _nsTextField3.setSelectable(true);
            _nsTextField3.setEnabled(true);
        }

        _setFontForComponent(_nsTextField2, "Helvetica", 12, Font.PLAIN);
        _nsTextField2.setEditable(false);
        _nsTextField2.setOpaque(false);
        _nsTextField2.setText("D\u00e9part :");
        _nsTextField2.setHorizontalAlignment(JTextField.RIGHT);
        _nsTextField2.setSelectable(false);
        _nsTextField2.setEnabled(true);
        _nsTextField2.setBorder(null);

        if (_replacedObjects.objectForKey("_nsTextField1") == null) {
            _setFontForComponent(_nsTextField1, "Helvetica", 12, Font.PLAIN);
            _nsTextField1.setEditable(true);
            _nsTextField1.setOpaque(true);
            _nsTextField1.setText("");
            _nsTextField1.setHorizontalAlignment(JTextField.LEFT);
            _nsTextField1.setSelectable(true);
            _nsTextField1.setEnabled(true);
        }

        if ((_nsBox3.getLayout() instanceof EOViewLayout) == false) _nsBox3.setLayout(new EOViewLayout());
        _nsTextField1.setSize(156, 21);
        _nsTextField1.setLocation(57, 5);
        ((EOViewLayout)_nsBox3.getLayout()).setAutosizingMask(_nsTextField1, EOViewLayout.MinYMargin);
        _nsBox3.add(_nsTextField1);
        _nsTextField2.setSize(56, 15);
        _nsTextField2.setLocation(0, 7);
        ((EOViewLayout)_nsBox3.getLayout()).setAutosizingMask(_nsTextField2, EOViewLayout.MinYMargin);
        _nsBox3.add(_nsTextField2);
        _nsTextField3.setSize(158, 21);
        _nsTextField3.setLocation(268, 4);
        ((EOViewLayout)_nsBox3.getLayout()).setAutosizingMask(_nsTextField3, EOViewLayout.MinYMargin);
        _nsBox3.add(_nsTextField3);
        _nsTextField4.setSize(56, 15);
        _nsTextField4.setLocation(210, 6);
        ((EOViewLayout)_nsBox3.getLayout()).setAutosizingMask(_nsTextField4, EOViewLayout.MinYMargin);
        _nsBox3.add(_nsTextField4);
        _nsTextField5.setSize(109, 19);
        _nsTextField5.setLocation(63, 102);
        ((EOViewLayout)_nsBox3.getLayout()).setAutosizingMask(_nsTextField5, EOViewLayout.MinYMargin);
        _nsBox3.add(_nsTextField5);
        _nsTextField6.setSize(60, 15);
        _nsTextField6.setLocation(2, 104);
        ((EOViewLayout)_nsBox3.getLayout()).setAutosizingMask(_nsTextField6, EOViewLayout.MinYMargin);
        _nsBox3.add(_nsTextField6);
        _nsTextField7.setSize(81, 19);
        _nsTextField7.setLocation(173, 102);
        ((EOViewLayout)_nsBox3.getLayout()).setAutosizingMask(_nsTextField7, EOViewLayout.MinYMargin);
        _nsBox3.add(_nsTextField7);
        _nsTextField8.setSize(58, 21);
        _nsTextField8.setLocation(85, 41);
        ((EOViewLayout)_nsBox3.getLayout()).setAutosizingMask(_nsTextField8, EOViewLayout.MinYMargin);
        _nsBox3.add(_nsTextField8);
        _nsTextField9.setSize(70, 15);
        _nsTextField9.setLocation(14, 44);
        ((EOViewLayout)_nsBox3.getLayout()).setAutosizingMask(_nsTextField9, EOViewLayout.MinYMargin);
        _nsBox3.add(_nsTextField9);
        _nsBox4.setSize(241, 72);
        _nsBox4.setLocation(143, 27);
        ((EOViewLayout)_nsBox3.getLayout()).setAutosizingMask(_nsBox4, EOViewLayout.MinYMargin);
        _nsBox3.add(_nsBox4);
        _nsBox6.setSize(245, 33);
        _nsBox6.setLocation(143, 34);
        ((EOViewLayout)_nsBox3.getLayout()).setAutosizingMask(_nsBox6, EOViewLayout.MinYMargin);
        _nsBox3.add(_nsBox6);
        _nsTextField21.setSize(75, 15);
        _nsTextField21.setLocation(303, 104);
        ((EOViewLayout)_nsBox3.getLayout()).setAutosizingMask(_nsTextField21, EOViewLayout.MinYMargin);
        _nsBox3.add(_nsTextField21);
        _nsTextField22.setSize(69, 21);
        _nsTextField22.setLocation(379, 101);
        ((EOViewLayout)_nsBox3.getLayout()).setAutosizingMask(_nsTextField22, EOViewLayout.MinYMargin);
        _nsBox3.add(_nsTextField22);
        _nsTextField23.setSize(26, 19);
        _nsTextField23.setLocation(255, 102);
        ((EOViewLayout)_nsBox3.getLayout()).setAutosizingMask(_nsTextField23, EOViewLayout.MinYMargin);
        _nsBox3.add(_nsTextField23);
        _nsButton1.setSize(21, 21);
        _nsButton1.setLocation(284, 101);
        ((EOViewLayout)_nsBox3.getLayout()).setAutosizingMask(_nsButton1, EOViewLayout.MinYMargin);
        _nsBox3.add(_nsButton1);
        _nsButton2.setSize(21, 21);
        _nsButton2.setLocation(429, 4);
        ((EOViewLayout)_nsBox3.getLayout()).setAutosizingMask(_nsButton2, EOViewLayout.MinYMargin);
        _nsBox3.add(_nsButton2);

        if (_replacedObjects.objectForKey("_nsBox2") == null) {
            if ((_nsBox2.getLayout() instanceof EOViewLayout) == false) _nsBox2.setLayout(new EOViewLayout());
            _nsBox3.setSize(454, 125);
            _nsBox3.setLocation(2, 2);
            ((EOViewLayout)_nsBox2.getLayout()).setAutosizingMask(_nsBox3, EOViewLayout.MinYMargin);
            _nsBox2.add(_nsBox3);
            _nsBox2.setBorder(new com.webobjects.eointerface.swing._EODefaultBorder("Title", true, "Helvetica", 12, Font.PLAIN));
        }

        if (_replacedObjects.objectForKey("_nsTextField0") == null) {
            _setFontForComponent(_nsTextField0, "Helvetica", 12, Font.PLAIN);
            _nsTextField0.setEditable(true);
            _nsTextField0.setOpaque(true);
            _nsTextField0.setText("");
            _nsTextField0.setHorizontalAlignment(JTextField.RIGHT);
            _nsTextField0.setSelectable(true);
            _nsTextField0.setEnabled(true);
        }

        if (_replacedObjects.objectForKey("_nsButton0") == null) {
            _setFontForComponent(_nsButton0, "Helvetica", 12, Font.PLAIN);
            _nsButton0.setMargin(new Insets(0, 2, 0, 2));
        }

        if ((_nsBox1.getLayout() instanceof EOViewLayout) == false) _nsBox1.setLayout(new EOViewLayout());
        _nsButton0.setSize(21, 21);
        _nsButton0.setLocation(732, 12);
        ((EOViewLayout)_nsBox1.getLayout()).setAutosizingMask(_nsButton0, EOViewLayout.MinYMargin);
        _nsBox1.add(_nsButton0);
        _nsButton3.setSize(21, 21);
        _nsButton3.setLocation(732, 12);
        ((EOViewLayout)_nsBox1.getLayout()).setAutosizingMask(_nsButton3, EOViewLayout.MinYMargin);
        _nsBox1.add(_nsButton3);
        _nsButton5.setSize(21, 21);
        _nsButton5.setLocation(732, 34);
        ((EOViewLayout)_nsBox1.getLayout()).setAutosizingMask(_nsButton5, EOViewLayout.MinYMargin);
        _nsBox1.add(_nsButton5);
        _nsButton4.setSize(21, 21);
        _nsButton4.setLocation(732, 58);
        ((EOViewLayout)_nsBox1.getLayout()).setAutosizingMask(_nsButton4, EOViewLayout.MinYMargin);
        _nsBox1.add(_nsButton4);
        _nsBox8.setSize(662, 85);
        _nsBox8.setLocation(68, 12);
        ((EOViewLayout)_nsBox1.getLayout()).setAutosizingMask(_nsBox8, EOViewLayout.MinYMargin);
        _nsBox1.add(_nsBox8);
        _nsBox10.setSize(790, 142);
        _nsBox10.setLocation(9, 104);
        ((EOViewLayout)_nsBox1.getLayout()).setAutosizingMask(_nsBox10, EOViewLayout.MinYMargin);
        _nsBox1.add(_nsBox10);
        _nsButton6.setSize(21, 21);
        _nsButton6.setLocation(732, 35);
        ((EOViewLayout)_nsBox1.getLayout()).setAutosizingMask(_nsButton6, EOViewLayout.MinYMargin);
        _nsBox1.add(_nsButton6);

        if (_replacedObjects.objectForKey("_nsBox0") == null) {
            if ((_nsBox0.getLayout() instanceof EOViewLayout) == false) _nsBox0.setLayout(new EOViewLayout());
            _nsBox1.setSize(808, 253);
            _nsBox1.setLocation(1, 1);
            ((EOViewLayout)_nsBox0.getLayout()).setAutosizingMask(_nsBox1, EOViewLayout.MinYMargin);
            _nsBox0.add(_nsBox1);
            _nsBox0.setBorder(new com.webobjects.eointerface.swing._EODefaultBorder("Box", true, "Helvetica", 12, Font.PLAIN));
        }

        if ((_nsView0.getLayout() instanceof EOViewLayout) == false) _nsView0.setLayout(new EOViewLayout());
        _nsBox0.setSize(810, 255);
        _nsBox0.setLocation(15, 25);
        ((EOViewLayout)_nsView0.getLayout()).setAutosizingMask(_nsBox0, EOViewLayout.MinYMargin);
        _nsView0.add(_nsBox0);
        _nsView0.setSize(838, 321);
        _panel.setTitle("Panel");
        _panel.setLocation(228, 371);
        _panel.setSize(838, 321);
    }
}
